curl --request POST \
--url https://app.letsflow.ai/v1/workflow_runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_slug": "<string>",
"target_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callback_webhook_endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_for_principal_id": "<string>",
"input": {}
}
}
'import requests
url = "https://app.letsflow.ai/v1/workflow_runs"
payload = { "data": {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_slug": "<string>",
"target_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callback_webhook_endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_for_principal_id": "<string>",
"input": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workflow_slug: '<string>',
target_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
callback_webhook_endpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requested_for_principal_id: '<string>',
input: {}
}
})
};
fetch('https://app.letsflow.ai/v1/workflow_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/workflow_runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'workflow_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'workflow_slug' => '<string>',
'target_team_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'callback_webhook_endpoint_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'requested_for_principal_id' => '<string>',
'input' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/workflow_runs"
payload := strings.NewReader("{\n \"data\": {\n \"workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workflow_slug\": \"<string>\",\n \"target_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"callback_webhook_endpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requested_for_principal_id\": \"<string>\",\n \"input\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.letsflow.ai/v1/workflow_runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workflow_slug\": \"<string>\",\n \"target_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"callback_webhook_endpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requested_for_principal_id\": \"<string>\",\n \"input\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/workflow_runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workflow_slug\": \"<string>\",\n \"target_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"callback_webhook_endpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requested_for_principal_id\": \"<string>\",\n \"input\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"runKey": "RUN-123",
"status": "requested",
"requestedAt": "<string>"
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"data": {
"runKey": "RUN-123",
"status": "requested",
"requestedAt": "<string>"
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Start Workflow run
Start an automation run pinned to the current publication for the selected automation. A new run returns 201 Created. A matching Idempotency-Key replays the stored response with the original 201 status and meta.replayed=true.
curl --request POST \
--url https://app.letsflow.ai/v1/workflow_runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_slug": "<string>",
"target_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callback_webhook_endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_for_principal_id": "<string>",
"input": {}
}
}
'import requests
url = "https://app.letsflow.ai/v1/workflow_runs"
payload = { "data": {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_slug": "<string>",
"target_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callback_webhook_endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_for_principal_id": "<string>",
"input": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workflow_slug: '<string>',
target_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
callback_webhook_endpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requested_for_principal_id: '<string>',
input: {}
}
})
};
fetch('https://app.letsflow.ai/v1/workflow_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/workflow_runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'workflow_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'workflow_slug' => '<string>',
'target_team_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'callback_webhook_endpoint_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'requested_for_principal_id' => '<string>',
'input' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/workflow_runs"
payload := strings.NewReader("{\n \"data\": {\n \"workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workflow_slug\": \"<string>\",\n \"target_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"callback_webhook_endpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requested_for_principal_id\": \"<string>\",\n \"input\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.letsflow.ai/v1/workflow_runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workflow_slug\": \"<string>\",\n \"target_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"callback_webhook_endpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requested_for_principal_id\": \"<string>\",\n \"input\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/workflow_runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workflow_slug\": \"<string>\",\n \"target_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"callback_webhook_endpoint_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"requested_for_principal_id\": \"<string>\",\n \"input\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"runKey": "RUN-123",
"status": "requested",
"requestedAt": "<string>"
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"data": {
"runKey": "RUN-123",
"status": "requested",
"requestedAt": "<string>"
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Authorizations
OAuth Bearer access tokens or Flow API keys with the required Flow scope families for the route.
Headers
Optional idempotency key for retry-safe write operations. For implemented representative writes, the same key plus the same request fingerprint replays the accepted result with meta.replayed=true in the response body. Stored HTTP responses for create requests in the customer API retain their original success status, including 201 Created and 202 Accepted. An in-progress key returns 409 idempotency_key_in_progress. A reused key with a different request fingerprint returns 409 idempotency_key_reused. Replay state is not signaled through an X-Idempotent-Replayed header.
255Optional caller-supplied correlation identifier propagated into canonical workflow handles.
Optional W3C trace context header accepted by shared request-context middleware.
Optional source-surface hint. When both this header and a request body source_surface_kind are present, they must match.
api, cli, browser, email Body
- Option 1
- Option 2
Show child attributes
Show child attributes